<?php
// ------------------------------------------------------
// ------ Recent Posts  ---------------------------
// ------ by Anthemes.net -------------------------------
//        http://themeforest.net/user/An-Themes/portfolio
//        http://themeforest.net/user/An-Themes/follow 
// ------------------------------------------------------

class omago_wp_recentposts extends WP_Widget {
     function __construct() {
      $widget_ops = array('description' => esc_html__('Your site\'s most recent Posts.', 'omago-wp'));
        parent::__construct(false, $name = ''. esc_html__('Custom: Recent Posts', 'omago-wp') .'',$widget_ops); 
    }


    function widget($args, $instance) {   
        extract( $args );
        $number = $instance['number'];
        $title = $instance['title'];
        ?>



<?php echo $before_widget; ?>
<?php if ( $title ) echo $before_title . esc_attr($title) . $after_title; ?> 

<ul class="article_list">
<?php $omago_wp_latest = new WP_Query(array('post_type' => 'post', 'ignore_sticky_posts' => esc_attr(1), 'posts_per_page' => esc_attr($number) )); // number to display more / less ?>
<?php while ( $omago_wp_latest->have_posts() ) : $omago_wp_latest->the_post(); ?>

    <li>                            
      <?php if ( has_post_thumbnail()) { ?>
        <a href="<?php the_permalink(); ?>"> <?php echo the_post_thumbnail('omago_wp-thumbnail-widget-small'); ?></a>
      <?php } else { ?> 
        <a href="<?php the_permalink(); ?>"> <img src="<?php echo get_template_directory_uri(); ?>/images/no-photo-100.png" alt="article image" /></a>         
      <?php } ?>

      <!-- Post Data -->
      <div class="post-data">
        <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                <?php if (function_exists('getPostViews_omago_wp')) { ?>
                    <div class="post-views"><a href="<?php the_permalink(); ?>"><?php echo getPostViews_omago_wp(get_the_ID()); ?> <?php esc_html_e('Views', 'omago-wp'); ?></a></div> <i class="fa fa-times"></i>
                    <div class="post-share">
                        <?php if ( function_exists( 'omago_wp_small_social_share' ) ) { omago_wp_small_social_share(); } ?>
                    </div>
                <?php } else { ?>
                    <div class="time-article">
                        <a href="<?php the_permalink(); ?>"><?php the_time('M j, Y'); ?></a>
                    </div>
                <?php } ?>             
        <div class="clear"></div>
      </div><!-- end .post-data -->
    </li>
 
<?php endwhile; 
/* Restore original Post Data */
wp_reset_postdata(); ?>
</ul>


<?php echo $after_widget; ?> 


<?php
    }
    function update($new_instance, $old_instance) {       
    $instance = $old_instance;
    $instance['title'] = strip_tags($new_instance['title']);
    $instance['number'] = strip_tags($new_instance['number']);
    return $instance;
    }

  function form( $instance ) {
    $instance = wp_parse_args( (array) $instance );
?>


        <p>
          <label for="<?php echo $this->get_field_id('title'); ?>"><?php esc_html_e( 'Title:', 'omago-wp' ); ?></label> 
          <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php if( isset($instance['title']) ) echo esc_attr($instance['title']); ?>" />
        </p>

         <p>
          <label for="<?php echo $this->get_field_id('number'); ?>"><?php esc_html_e( 'Number of Posts:', 'omago-wp' ); ?></label>      
          <input class="widefat" id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="text" value="<?php if( isset($instance['number']) ) echo esc_attr($instance['number']); ?>" />
         </p> 

<?php  } } 
add_action('widgets_init', create_function('', 'return register_widget("omago_wp_recentposts");')); // register widget
?>