<?php
// ------------------------------------------------ 
// ---------- Options Framework Theme -------------
// ------------------------------------------------
 include( get_template_directory() . '/admin/index.php');


// ---------------------------------------------- 
// - Updates for Themes (Envato Market plugin.) -
// ---------------------------------------------- 
 include( get_template_directory() . '/functions/custom/github.php');


// ---------------------------------------------- 
// --------------- Load Custom Widgets ----------
// ----------------------------------------------
 include( get_template_directory() . '/functions/widgets.php');
 include( get_template_directory() . '/functions/widgets/widget-tags.php');
 include( get_template_directory() . '/functions/widgets/widget-posts.php');
 include( get_template_directory() . '/functions/widgets/widget-top-posts.php');
 include( get_template_directory() . '/functions/widgets/widget-cat.php');
 include( get_template_directory() . '/functions/widgets/widget-banner.php');
 include( get_template_directory() . '/functions/widgets/widget-banner-text.php');
 include( get_template_directory() . '/functions/widgets/widget-posts-tags.php');
 include( get_template_directory() . '/functions/widgets/widget-module-1.php');
 include( get_template_directory() . '/functions/widgets/widget-module-2.php');


// ----------------------------------------------
// --------------- Load Custom ------------------
// ---------------------------------------------- 
 include( get_template_directory() . '/functions/custom/comments.php');
  

// ----------------------------------------------
// ------ Content width -------------------------
// ----------------------------------------------
if ( ! isset( $content_width ) ) $content_width = 920;


// ----------------------------------------------
// ------ Theme set up --------------------------
// ----------------------------------------------
add_action( 'after_setup_theme', 'omago_wp_theme_setup' );
if ( !function_exists('omago_wp_theme_setup') ) {

    function omago_wp_theme_setup() {
    
        // Register navigation menu
        register_nav_menus(
            array(
                'omago_wp_primary_menu' => esc_html__( 'Header Navigation', 'omago-wp' )
            )
        );
        
        // Localization support
        load_theme_textdomain( 'omago-wp', get_template_directory() . '/languages' );
        
        // Feed Links
        add_theme_support( 'automatic-feed-links' );
        
        // Title Tag
        add_theme_support( 'title-tag' );

        // Post thumbnails
        add_theme_support( 'post-thumbnails' );
        add_image_size( 'omago_wp-thumbnail-blog-articles', 290, 211, true ); // Blog Latest Articles
        add_image_size( 'omago_wp-thumbnail-widget-small', 100, 73, true ); // Sidebar Widget thumbnails small
        add_image_size( 'omago_wp-thumbnail-single-image', 920, '', true ); // Single thumbnails
        add_image_size( 'omago_wp-thumbnail-single-gallery-image', 184, 184, true ); // Single thumbnails
    
    }
}


// ----------------------------------------------
// ------------ JavaScrips Files ----------------
// ----------------------------------------------
if( !function_exists( 'omago_wp_enqueue_scripts' ) ) {
    function omago_wp_enqueue_scripts() {

        // Register css files
        wp_enqueue_style( 'omago_wp_style', get_stylesheet_uri(), '', '1.9');
        wp_enqueue_style( 'omago_wp_default', get_template_directory_uri() . '/css/colors/default.css', array( 'omago_wp_style' ), '1.9' );
        wp_enqueue_style( 'omago_wp_responsive', get_template_directory_uri() . '/css/responsive.css', array( 'omago_wp_style' ), '1.9' );
        wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/css/font-awesome-4.7.0/css/font-awesome.min.css', array(), '4.7.0' );
        wp_enqueue_style( 'jquery-owl-carousel', get_template_directory_uri() . '/owl-carousel/owl.carousel.css', array(), '2.0.0' );

        // Register scripts
        wp_enqueue_script( 'omago_wp_customjs', get_template_directory_uri() . '/js/custom.js', array( 'jquery' ), '1.0', true );
        wp_enqueue_script( 'jquery-masonry',  get_template_directory_uri() . '/js/masonry.pkgd.js', array( 'jquery' ), '3.1.2', true );
        wp_enqueue_script( 'jquery-matchHeight',  get_template_directory_uri() . '/js/jquery.matchHeight.js', array( 'jquery' ), '1.0', true );
        wp_enqueue_script( 'jquery-sticky-kit',  get_template_directory_uri() . '/js/jquery.sticky-kit.js', array( 'jquery' ), '1.1.2', true );
        wp_enqueue_script( 'jquery-owl-carousel', get_template_directory_uri() . '/owl-carousel/owl.carousel.min.js', array( 'jquery' ), '2.0', true );
        $omago_wp_js_custom = array( 'template_url' => get_template_directory_uri('template_url') ); wp_localize_script( 'omago_wp_customjs', 'omago_wp_js_custom', $omago_wp_js_custom );

        // Load Comments & .js files.
        if( is_single() ) {
            wp_enqueue_style( 'jquery-fancybox', get_template_directory_uri() . '/fancybox/jquery.fancybox-1.3.4.css', array(), '1.34' );    
            wp_enqueue_script( 'jquery-fancybox', get_template_directory_uri() . '/fancybox/jquery.fancybox-1.3.4.pack.js', array( 'jquery' ), '1.34', true );
            wp_enqueue_script( 'comment-reply' );
         }


// ----------------------------------------------
// Register Fonts: https://gist.github.com/kailoon/e2dc2a04a8bd5034682c
// ----------------------------------------------
        function omago_wp_fonts_url() {
            $omago_wp_font_url_google = '';
            
            /*
            Translators: If there are characters in your language that are not supported
            by chosen font(s), translate this to 'off'. Do not translate into your own language.
             */
            if ( 'off' !== _x( 'on', 'Google font: on or off', 'omago-wp' ) ) {
                $omago_wp_font_url_google = add_query_arg( 'family', urlencode( 'Droid+Sans:400,700' ), "//fonts.googleapis.com/css" );
            }
            return $omago_wp_font_url_google;
        }
        /* -- Enqueue styles -- */
        wp_enqueue_style( 'omago_wp_fonts', omago_wp_fonts_url(), array(), '1.0.0' );
  

    }
    add_action('wp_enqueue_scripts', 'omago_wp_enqueue_scripts');
}


// ------------------------------------------------ 
// ------------ Nr of Topics for Tags -------------
// ------------------------------------------------  
if ( ! function_exists('tag_cloud_count_anthemes')) {
function tag_cloud_count_anthemes($content, $tags, $args)
{ 
  $count=0;
  $output=preg_replace_callback('(</a\s*>)', 
  function($match) use ($tags, &$count) {
      return "<span class=\"tagcount\"> ".$tags[$count++]->count."</span></a>";  
  }
  , $content);
  
  return $output;
}
add_filter('wp_generate_tag_cloud','tag_cloud_count_anthemes', 10, 3); 
}


// ------------------------------------------------ 
// --- One Click Demo Import (Plugin) -------------
// ------------------------------------------------ 
function anthemes_wp_plugin_intro_text( $anthemes_wp_default_text ) {
    $anthemes_wp_default_text =  /* https://wordpress.org/plugins/one-click-demo-import/faq/ the inline style is added for the demo import plugin, that is displayed via Dashboard > Appearance. */ '<div class="ocdi__intro-text" style="width:355px;">'. esc_html__( 'Please click "Import Demo Data" button only once and wait, it can take a couple of minutes.', 'omago-wp' ) .'</div>';?><br /><img style="width:400px; margin-bottom: 20px; border-radius: 4px;" src="<?php echo get_template_directory_uri(); ?>/screenshot.png" width="400" hieght="300" alt="img" /><br /> In the meantime, you check the <a href="https://anthemes.com/docs/omago/" target="_blank">help file</a> or <a href="https://anthemes.com/support/" target="_blank">get support</a>.<?php
    return $anthemes_wp_default_text;
}
add_filter( 'pt-ocdi/plugin_intro_text', 'anthemes_wp_plugin_intro_text' );

function anthemes_wp_import_files() {
    return array(
        array(
            'import_file_name'             => esc_html__( 'Main Demo', 'omago-wp' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . '/functions/demo/omago-content.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . '/functions/demo/omago-widgets.wie',
        ) 
    );
}
add_filter( 'pt-ocdi/import_files', 'anthemes_wp_import_files' );


// ------------------------------------------------ 
// ---------- TGM_Plugin_Activation -------------
// ------------------------------------------------ 
 include( get_template_directory() . '/functions/custom/class-tgm-plugin-activation.php');
 add_action( 'tgmpa_register', 'omago_wp_register_required_plugins' );

function omago_wp_register_required_plugins() {

    $plugins = array(
        array(
            'name'                  => esc_html__( 'Omago Theme Core', 'omago-wp' ), // The plugin name
            'slug'                  => 'omago-options', // The plugin slug (typically the folder name)
            'source'                => get_stylesheet_directory() . '/plugins/omago-options.zip', // The plugin source
            'required'              => false, // If false, the plugin is only 'recommended' instead of required
            'version'               => '1.1', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'          => '', // If set, overrides default API URL and points to an external URL
        ),

        array(
            'name'                  =>  esc_html__( 'Shortcodes', 'omago-wp' ), // The plugin name
            'slug'                  => 'anthemes-shortcodes', // The plugin slug (typically the folder name)
            'source'                => get_stylesheet_directory() . '/plugins/anthemes-shortcodes.zip', // The plugin source
            'required'              => false, // If false, the plugin is only 'recommended' instead of required
            'version'               => '1.2', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'          => '', // If set, overrides default API URL and points to an external URL
            'is_callable'           => '', // If set, this callable will be be checked for availability to determine if a plugin is active.
       ),

        array(
            'name'                  => esc_html__( 'Meta Box', 'omago-wp' ),
            'slug'                  => 'meta-box',
            'required'              => false,
            'version'               => '',
        ),

        array(
            'name'                  => esc_html__( 'Ultimate Member', 'omago-wp' ),
            'slug'                  => 'ultimate-member',
            'required'              => false,
            'version'               => '',
        ),

        array(
            'name'                  => esc_html__( 'User Submitted Posts', 'omago-wp' ),
            'slug'                  => 'user-submitted-posts',
            'required'              => false,
            'version'               => '',
        ),

        array(
            'name'                  => esc_html__( 'WP-PageNavi', 'omago-wp' ),
            'slug'                  => 'wp-pagenavi',
            'required'              => false,
            'version'               => '',
        ),

        array(
            'name'                  => esc_html__( 'Responsive Menu', 'omago-wp' ),
            'slug'                  => 'responsive-menu',
            'required'              => false,
            'version'               => '',
        ), 

    );

    $config = array(
        'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
        'default_path' => '',                      // Default absolute path to bundled plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'parent_slug'  => 'themes.php',            // Parent menu slug.
        'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.

    );

    tgmpa( $plugins, $config );

}

?>