<?php
// ------------------------------------------------------
// ------ Module 1: Articles by Categories  -------------
// ------ by AnThemes.net -------------------------------
//        http://themeforest.net/user/An-Themes/portfolio
//        http://themeforest.net/user/An-Themes/follow 
// ------------------------------------------------------

class omago_wp_module1 extends WP_Widget {
     function __construct() {
	    $widget_ops = array('description' => esc_html__('Module 1: Articles by Categories', 'omago-wp'));
        parent::__construct(false, $name = ''. esc_html__('== Module 1 == Articles by Categories', 'omago-wp') .'',$widget_ops); 
    }

   function widget($args, $instance) {  
		extract( $args );
		$title = $instance['title'];
    $moduletitle = $instance['moduletitle'];
		$category = $instance['category'];
    $number = $instance['number'];

    // Get the ID of a given category
    $category_id = $category;

    // Get the URL of this category
    $category_link = get_category_link( $category_id );    
?>

<?php
    // Date Format
    $omago_wp_date_format = get_theme_mod('omago_wp_date_format');
    if (empty($omago_wp_date_format)) { $omago_wp_date_format = '23 June 17'; }
?>
 
<?php echo $before_widget; ?>	
<?php if ( $title ) echo $before_title . esc_attr( $title ) . $after_title; ?>


            <div class="module-section">
                <div class="article-btn"><h3><?php echo esc_attr( $moduletitle ); ?></h3></div>
                <div class="article-btn-more"><h3><a href="<?php echo esc_url( $category_link ); ?>"><?php esc_html_e( 'more', 'omago-wp' ); ?> <i class="fa fa-angle-double-right" aria-hidden="true"></i></a></h3></div>
                <div class="clear"></div>
                <ul class="modern-articles">
                <?php $omago_wp_module_categories = new WP_Query(array('post_type' => 'post',  'ignore_sticky_posts' => esc_attr(1), 'cat' => esc_attr($category), 'posts_per_page' => esc_attr($number) )); // number to display more / less ?>
                <?php while ($omago_wp_module_categories->have_posts()) : $omago_wp_module_categories->the_post(); ?> 

                    <li <?php post_class('grid-item') ?>>

                        <?php if ( has_post_thumbnail()) { ?>
                            <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('omago_wp-thumbnail-blog-articles', array('title' => "")); ?></a>
                        <?php } else { ?> 
                            <a href="<?php the_permalink(); ?>"> <img src="<?php echo get_template_directory_uri(); ?>/images/no-photo-321.png" alt="article image" /></a>                             
                        <?php } ?><div class="clear"></div> 

                            <div class="artbtn-category"><?php $omago_wp_category = get_the_category(); if ($omago_wp_category) 
                            { echo wp_kses_post('<a href="' . get_category_link( $omago_wp_category[0]->term_id ) . '">' . $omago_wp_category[0]->name.'</a> ');}  ?>
                            </div><!-- end .artbtn-category -->

                        <div class="content-list">
                             <a href="<?php the_permalink(); ?>"><h2><?php if (function_exists('omago_wp_the_title')) { echo omago_wp_the_title( 50, ' ..'); } else { echo the_title(); } ?> </h2></a>
                             <div class="clear"></div>
                             <!-- Post Data  -->
                             <div class="post-data">
                             <?php if (function_exists('getPostViews_omago_wp')) { ?>
                                 <div class="post-views"><a href="<?php the_permalink(); ?>"><?php echo getPostViews_omago_wp(get_the_ID()); ?> <?php esc_html_e('Views', 'omago-wp'); ?></a></div> <i class="fa fa-times"></i>
                                 <div class="time-article">
                                    <?php if ($omago_wp_date_format == '1 week ago') { ?>
                                        <a href="<?php the_permalink(); ?>"><?php echo  time_ago_omago_wp(); ?> <?php esc_html_e('ago', 'omago-wp'); ?></a>                 
                                    <?php } else { // Default Date Format ?>
                                        <a href="<?php the_permalink(); ?>"><?php the_time('M j, Y'); ?></a>
                                    <?php } ?>
                                 </div><i class="fa fa-times timeshome"></i>
                                 <div class="post-share">
                                    <?php if ( function_exists( 'omago_wp_small_social_share' ) ) { omago_wp_small_social_share(); } ?>
                                 </div>
                             <?php } else { ?>
                                 <div class="time-article timemargin">
                                    <a href="<?php the_permalink(); ?>"><?php the_time('M j, Y'); ?></a>
                                 </div>
                             <?php } ?>
                                 <div class="clear"></div>
                             </div><!-- end .post-data -->
                        </div><!-- end .content -->
                    </li>

                <?php endwhile; 
                /* Restore original Post Data */
                wp_reset_postdata(); ?>
                </ul>
                <!-- end .modern-articles -->
                <div class="clear"></div>
            </div><!-- end .module-section --> 
 

<?php echo $after_widget; ?>
  
<?php
    }

    function update($new_instance, $old_instance) {       
    $instance = $old_instance;
    $instance['title'] = strip_tags($new_instance['title']);
    $instance['number']    = is_numeric( $new_instance['number'] ) ? intval( $new_instance['number'] ) : 6;
    $instance['moduletitle'] = strip_tags($new_instance['moduletitle']);
    $instance['category']  = wp_strip_all_tags( $new_instance['category'] );
     return $instance;
    }

  function form( $instance ) {
    $defaults  = array( 'title' => '', 'moduletitle' => '', 'category' => '', 'number' => 6);
    $instance  = wp_parse_args( ( array ) $instance, $defaults );
    $title     = $instance['title'];
    $moduletitle     = $instance['moduletitle'];
    $category  = $instance['category'];
    $number    = $instance['number'];
?>

        <p>
          <label for="<?php echo $this->get_field_id('moduletitle'); ?>"><?php esc_html_e( 'Title:', 'omago-wp' ); ?></label> 
          <input class="widefat" id="<?php echo $this->get_field_id('moduletitle'); ?>" name="<?php echo $this->get_field_name('moduletitle'); ?>" type="text" value="<?php if( isset($instance['moduletitle']) ) echo esc_attr($instance['moduletitle']); ?>" />
        </p>

        <p>
          <label for="<?php echo $this->get_field_id('number'); ?>"><?php esc_html_e( 'Number of Posts:', 'omago-wp' ); ?></label>      
          <input class="widefat" id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="text" value="<?php if( isset($instance['number']) ) echo esc_attr($instance['number']); ?>" />
        </p> 

        <p>
          <label for="<?php echo $this->get_field_id('category'); ?>"><?php esc_html_e( 'Category:', 'omago-wp' ); ?></label>      
            <?php
            wp_dropdown_categories( array(

              'show_count' => 1,
              'orderby'    => 'title',
              'hide_empty' => false,
              'name'       => $this->get_field_name( 'category' ),
              'id'         => 'rpjc_widget_cat_recent_posts_category',
              'class'      => 'widefat',
              'selected'   => $category

            ) );
            ?>
        </p> 

<?php  } }
add_action('widgets_init', create_function('', 'return register_widget("omago_wp_module1");')); // register widget
?>