<?php get_header(); // add header ?>  
<?php
    // Display Big Letter (Yes/No)
    $omago_wp_display_bigletter = get_theme_mod('omago_wp_display_bigletter');
    if (empty($omago_wp_display_bigletter)) { $omago_wp_display_bigletter = 'No'; }   

    // Date Format
    $omago_wp_date_format = get_theme_mod('omago_wp_date_format');
    if (empty($omago_wp_date_format)) { $omago_wp_date_format = '23 June 17'; }
?>

 
<!-- Begin Content -->
<div class="wrap-fullwidth">

    <div class="single-content">
        <?php if (have_posts()) : while (have_posts()) : the_post();  ?>
        <div class="entry-top">
            <div class="single-category"> 
                <?php the_category(' '); ?>
            </div><!-- end .single-category -->
            <div class="clear"></div>  
            <h1 class="article-title entry-title"><?php the_title(); ?></h1>
            <div class="clear"></div>
                <!-- Post Data  -->
                <div class="post-data">
                    <div class="link-author"><span class="vcard author"><span class="fn"><?php the_author_posts_link(); ?></span></span></div> <i class="fa fa-times authorfirst"></i>
                    <?php if (function_exists('getPostViews_omago_wp')) { ?> <div class="post-views"><a href="<?php the_permalink(); ?>"><?php echo getPostViews_omago_wp(get_the_ID()); ?> <?php esc_html_e('Views', 'omago-wp'); ?></a></div> <i class="fa fa-times"></i> 
                        <div class="time-article">
                            <?php if ($omago_wp_date_format == '1 week ago') { ?>
                                <?php if ( function_exists( 'time_ago_omago_wp' ) ) { ?>
                                    <a href="<?php the_permalink(); ?>"><?php echo  time_ago_omago_wp(); ?> <?php esc_html_e('ago', 'omago-wp'); ?></a>                 
                                <?php } ?>
                            <?php } else { // Default Date Format ?>
                                <a href="<?php the_permalink(); ?>"><?php the_time('M j, Y'); ?></a>
                            <?php } ?>
                        </div><i class="fa fa-times timearticle"></i>
                        <div class="post-share">
                            <?php if ( function_exists( 'omago_wp_small_social_share_single' ) ) { omago_wp_small_social_share_single(); } ?>
                        </div><!-- end .post-share -->
                    <?php } else { ?>
                        <div class="time-article">
                            <a href="<?php the_permalink(); ?>"><?php the_time('M j, Y'); ?></a>
                        </div>
                    <?php } ?>
                <div class="clear"></div>
                </div><!-- end .post-data -->            
        </div><div class="clear"></div>
        <?php endwhile; endif; ?>


        <article>
            <?php if (have_posts()) : while (have_posts()) : the_post();  ?>
            <?php if (function_exists('setPostViews_omago_wp')) { ?><?php setPostViews_omago_wp(get_the_ID()); } ?>
            <div <?php post_class('post') ?> id="post-<?php the_ID(); ?>">

            <div class="media-single-content">
            <?php if ( function_exists( 'rwmb_meta' ) ) {  
            // If Meta Box plugin is activate ?>
                <?php
                $omago_wp_youtubecode = rwmb_meta('omago_wp_youtube', true );
                $omago_wp_vimeocode = rwmb_meta('omago_wp_vimeo', true );
                $omago_wp_image = rwmb_meta('omago_wp_slider', true );
                $omago_wp_hideimg = rwmb_meta('omago_wp_hideimg', true );
                ?> 

                <?php if(!empty($omago_wp_image)) { ?>
                    <!-- #### Single Gallery #### -->
                    <div class="single-gallery">
                        <?php
                        $images = rwmb_meta( 'omago_wp_slider', 'type=image&size=omago_wp-thumbnail-single-gallery-image' );
                        foreach($images as $key =>$omago_wp_image)
                         { echo wp_kses_post("<a href='{$omago_wp_image['full_url']}' rel='mygallery'><img src='{$omago_wp_image['url']}'  alt='{$omago_wp_image['alt']}'  /></a>");
                        } ?>
                    </div><!-- end .single-gallery -->
                    <div class="clear"></div> 
                <?php } ?>

                <?php if(!empty($omago_wp_youtubecode)) { ?>
                    <!-- #### Youtube video #### -->
                    <?php $omago_wp_youtubeembed = '//www.youtube.com/embed/'; ?>
                    <iframe class="single_iframe" width="100%" height="420" src="<?php echo esc_url($omago_wp_youtubeembed); ?><?php echo esc_html($omago_wp_youtubecode); ?>?wmode=transparent" frameborder="0" allowfullscreen></iframe>
                <?php } ?>

                <?php if(!empty($omago_wp_vimeocode)) { ?>
                    <!-- #### Vimeo video #### -->
                    <?php $omago_wp_vimeoembed = '//player.vimeo.com/video/'; ?>
                    <iframe class="single_iframe" width="100%" height="420" src="<?php echo esc_url($omago_wp_vimeoembed); ?><?php echo esc_html($omago_wp_vimeocode); ?>?portrait=0" frameborder="0" allowFullScreen></iframe>
                <?php } ?>

                <?php if(!empty($omago_wp_image) || !empty($omago_wp_youtubecode) || !empty($omago_wp_vimeocode)) { ?>
                <?php } elseif ( has_post_thumbnail()) { ?>
                    <?php if(!empty($omago_wp_hideimg)) { } else { ?>
                     <?php the_post_thumbnail('omago_wp-thumbnail-single-image'); ?>
                    <?php } // disable featured image ?>
                <?php } ?>
 
            <?php } else { 
            // Meta Box Plugin ?>
                <?php the_post_thumbnail('omago_wp-thumbnail-single-image'); ?>
            <?php } ?> 
            </div><!-- end .media-single-content -->

 
            <div id="single-share">
            <?php if ( function_exists( 'omago_wp_big_social_share' ) ) { 
                omago_wp_big_social_share(); ?>
                <?php if ( function_exists( 'rwmb_meta' ) ) {
                    $omago_wp_fakenr = rwmb_meta('omago_wp_fake_nr', true ); ?>
                    <?php if(!empty($omago_wp_fakenr)) { ?>
                        <div class="share-nr"><span><?php echo esc_html($omago_wp_fakenr); ?></span> <?php esc_html_e('Shares', 'omago-wp'); ?></div>
                    <?php } else { ?> <div class="share-line"></div><?php } ?>
                    <a href="#comments" class="commbutton"><i class="fa fa-commenting" aria-hidden="true"></i></a>
                <?php } ?>
            <?php } ?>
            </div><!-- end #single-share -->
            <div class="clear"></div>

                <div class="entry">
                        <div <?php if ($omago_wp_display_bigletter == 'Yes') { ?> class="p-first-letter" <?php } ?>>
                            <!-- excerpt -->
                            <?php if ( !empty( $post->post_excerpt ) ) { ?> 
                                <?php echo the_excerpt(); ?>
                            <?php } ?>                             
                            <?php the_content(''); // content ?>
                        </div><!-- end .p-first-letter -->
                        <?php wp_link_pages(); // content pagination ?>
                        <div class="clear"></div>

                        <div class="tags-cats"> 
                            <!-- categories -->
                            <?php $vloma_wp_single_categories = get_the_category(); 
                                if ($vloma_wp_single_categories): ?>
                                <div class="ct-size"><i class="fa fa-folder-open" aria-hidden="true"></i><?php the_category('<i class="fa fa-folder-open" aria-hidden="true"></i>'); // categories ?></div><div class="clear"></div>
                            <?php endif; ?> 

                            <!-- tags -->
                            <?php $paintable_wp_single_tags = get_the_tags(); 
                            if ($paintable_wp_single_tags): ?>
                                <div class="ct-size"><?php the_tags('<i class="fa fa-tags" aria-hidden="true"></i>', '<i class="fa fa-tags" aria-hidden="true"></i>'); // tags ?></div><div class="clear"></div>
                            <?php endif; ?>                                              
                        </div><!-- end .tags-cats -->                

                </div><!-- end .entry -->
                <div class="clear"></div> 

            </div><!-- end #post -->
            <?php endwhile; endif; ?>
        </article><!-- end article -->
   



        <section class="middle-related">
            <ul class="modern-articles" style="margin-top:15px;">
                <?php $omago_wp_related = get_posts( array( 'category__in' => wp_get_post_categories($post->ID), 'ignore_sticky_posts' => 1, 'numberposts' => esc_attr(6), 'post__not_in' => array($post->ID) ) );
                if( $omago_wp_related ) foreach( $omago_wp_related as $post ) { setup_postdata($post); ?>    

                    <li <?php post_class('grid-item') ?> id="post-<?php the_ID(); ?>">

                        <?php if ( has_post_thumbnail()) { ?>
                            <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('omago_wp-thumbnail-blog-articles', array('title' => "")); ?></a>
                        <?php } else { ?> 
                            <a href="<?php the_permalink(); ?>"> <img src="<?php echo get_template_directory_uri(); ?>/images/no-photo-321.png" alt="article image" /></a>                             
                        <?php } ?><div class="clear"></div> 

                            <div class="artbtn-category"><?php $omago_wp_category = get_the_category(); if ($omago_wp_category) 
                            { echo wp_kses_post('<a href="' . get_category_link( $omago_wp_category[0]->term_id ) . '">' . $omago_wp_category[0]->name.'</a> ');}  ?>
                            </div><!-- end .artbtn-category -->

                        <div class="content-list">
                             <a href="<?php the_permalink(); ?>"><h2><?php the_title(); ?> </h2></a>
                             <div class="clear"></div>
                             <!-- Post Data  -->
                             <div class="post-data">
                             <?php if (function_exists('getPostViews_omago_wp')) { ?>
                                 <div class="post-views"><a href="<?php the_permalink(); ?>"><?php echo getPostViews_omago_wp(get_the_ID()); ?> <?php esc_html_e('Views', 'omago-wp'); ?></a></div> <i class="fa fa-times"></i>
                                 <div class="time-article">
                                    <?php if ($omago_wp_date_format == '1 week ago') { ?>
                                        <a href="<?php the_permalink(); ?>"><?php echo  time_ago_omago_wp(); ?> <?php esc_html_e('ago', 'omago-wp'); ?></a>                 
                                    <?php } else { // Default Date Format ?>
                                        <a href="<?php the_permalink(); ?>"><?php the_time('M j, Y'); ?></a>
                                    <?php } ?>
                                 </div><i class="fa fa-times timeshome"></i>
                                 <div class="post-share">
                                    <?php if ( function_exists( 'omago_wp_small_social_share' ) ) { omago_wp_small_social_share(); } ?>
                                 </div>
                             <?php } else { ?>
                                 <div class="time-article timemargin">
                                    <a href="<?php the_permalink(); ?>"><?php the_time('M j, Y'); ?></a>
                                 </div>
                             <?php } ?>
                                 <div class="clear"></div>
                             </div><!-- end .post-data -->
                        </div><!-- end .content -->
                    </li>

                <?php } wp_reset_postdata();  ?>          
            </ul><!-- end .modern-grid -->
            <div class="clear"></div>  
        </section>



        <!-- Comments -->
        <section class="article-bottom">
            <div id="comments" class="comments">
                <?php if (get_comments_number()==0) { } else { ?>
                    <div class="article-btn"><h3><?php esc_html_e( 'All Comments', 'omago-wp' ); ?></h3></div>
                <?php } ?>
                <div class="clear"></div>
                <?php comments_template('', true); // comments ?>
            </div>
            <div class="clear"></div>
        </section>
    </div><!-- end .single-content -->


    <!-- Begin Sidebar (right) -->
    <?php  get_sidebar(); // add sidebar ?>
    <!-- end #sidebar  (right) -->    


    <div class="clear"></div>
</div><!-- end .wrap-fullwidth  -->
<?php get_footer(); // add footer  ?>